// FormatPseudoBinary.h : header file for SHEF formatter
//

#pragma once

#include "decl.h"
#include "TelemetryDevice.h"
#include "TelemetryTag.h"

extern "C" TELEMETRY_DECL 
bool FormatPseudoBinaryB(TData& dataMsg, TTelemetryTags& tags, int iGroup, int iNumVals, 
   TTime tRef = TTime::GetCurrentTime());

extern "C" TELEMETRY_DECL 
bool FormatPseudoBinaryBNonInt(TData& dataMsg, TTelemetryTags& tags, int iGroup, 
   TTime tRef = TTime::GetCurrentTime());

extern "C" TELEMETRY_DECL 
bool FormatPseudoBinaryC(TData& dataMsg, TTelemetryTags& tags, int iGroup, 
   TTime tRef = TTime::GetCurrentTime());

extern "C" TELEMETRY_DECL 
bool FormatPseudoBinaryCAlarmTriggers(TData& dataMsg, TTelemetryTags& tags, int iGroup, ETagStates eCheckFlag=eTriggered, ETagStates eSetFlag=eFormatted);
