// LogFilePropDlg.h : header file
//

#if !defined(AFX_LOGFILEPROPDLG_H__26C23984_D0A9_11D2_8048_00105A1E5D53__INCLUDED_)
#define AFX_LOGFILEPROPDLG_H__26C23984_D0A9_11D2_8048_00105A1E5D53__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Resource.h"
#include "..\Engine\Module.h"

/////////////////////////////////////////////////////////////////////////////
// CLogFilePropDlg dialog

class CLogFilePropDlg : public TDialog
{
   // Construction
public:
   CLogFilePropDlg(CWnd* pParent = NULL);   // standard constructor
   bool m_bNew;

   // Dialog Data
   //{{AFX_DATA(CLogFilePropDlg)
	enum { IDD = IDD_LOGFILEDLG };
   CString m_filename;
   int             m_nSize;
	BOOL	m_fWrap;
	BOOL	m_fIgnoreBadData;
	//}}AFX_DATA

   bool m_bIncludeStationHeader;
   bool m_bReplaceBadValOnExport;
   CString m_strBadValOnExport;
   bool m_bRecordIDBeforeDate;
   bool m_bIncludeFieldHeader;
   bool m_bIncludeUnitsHeader;
   bool m_bPrintNOTE;
   int m_iFreeBytes;
   int m_iSizeOnInit;
   bool m_bResidesOnFlashDisk;

   // Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CLogFilePropDlg)
   protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   //}}AFX_VIRTUAL

   // Implementation
   protected:

   // Generated message map functions
   //{{AFX_MSG(CLogFilePropDlg)
   virtual BOOL OnInitDialog();
   afx_msg void OnSelendokComboSize();
   virtual void OnOK();
   afx_msg void OnButtonChangefilename();
   afx_msg void OnButtonChangesize();
	afx_msg void OnLogExportOptions();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
protected:
   void UpdateFreeSpace();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGFILEPROPDLG_H__26C23984_D0A9_11D2_8048_00105A1E5D53__INCLUDED_)
